## org.gnu.gtk.event
Class IconViewEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.IconViewEvent

All Implemented Interfaces:
  java.io.Serializable

public class IconViewEvent
extends GtkEvent

This event is used to identify when a IconView receives an event

See Also:
  `IconViewListener`, Serialized Form

Nested Class Summary
`static class` `IconViewEvent.Type`

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`IconViewEvent(java.lang.Object source, EventType type)` Constructor for IconViewEvent.

Method Summary
`Adjustment` `getHorizontalAdjustment()`
`TreePath` `getPath()`
`Adjustment` `getVerticalAdjustment()`
`boolean` `isOfType(IconViewEvent.Type aType)`
`void` `setHorizontalAdjustment(Adjustment horizontalAdjustment)`
`void` `setPath(TreePath path)`
`void` `setVerticalAdjustment(Adjustment verticalAdjustment)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IconViewEvent

    public IconViewEvent(java.lang.Object source,
                         EventType type)

  Constructor for IconViewEvent.

Parameters:
  `source` -
  `type` -

Method Detail

### isOfType

    public boolean isOfType(IconViewEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.

### getHorizontalAdjustment

    public Adjustment getHorizontalAdjustment()

### setHorizontalAdjustment

    public void setHorizontalAdjustment(Adjustment horizontalAdjustment)

### getPath

    public TreePath getPath()

### setPath

    public void setPath(TreePath path)

### getVerticalAdjustment

    public Adjustment getVerticalAdjustment()

### setVerticalAdjustment

    public void setVerticalAdjustment(Adjustment verticalAdjustment)